cURL
curl -X POST https://api.bizmori.com/api/v2/orders/webhooks/WEBHOOK_ID/events/EVENT_ID/retry \
-H "Authorization: Bearer YOUR_API_TOKEN"const response = await fetch(
`https://api.bizmori.com/api/v2/orders/webhooks/${webhookId}/events/${eventId}/retry`,
{
method: 'POST',
headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' }
}
);
const data = await response.json();import requests
response = requests.post(
f'https://api.bizmori.com/api/v2/orders/webhooks/{webhook_id}/events/{event_id}/retry',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'}
)
data = response.json()
{
"data": {
"event_id": "<string>",
"success": true,
"status_code": 123,
"status": "FAILED",
"error": "<string>"
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "RESOURCE_NOT_FOUND"
}{
"code": "<string>"
}Webhooks
웹훅 이벤트 재전송
실패한 단일 웹훅 이벤트를 수동으로 재전송합니다.
FAILED상태의 이벤트만 재전송할 수 있습니다- 성공 시 이벤트 상태가
SENT로 변경됩니다 - 재전송 실패 시 이벤트는
FAILED상태를 유지하며, 30분 후 스케줄러 기반 재시도가 등록됩니다
POST
/
api
/
v2
/
orders
/
webhooks
/
{webhookId}
/
events
/
{eventId}
/
retry
cURL
curl -X POST https://api.bizmori.com/api/v2/orders/webhooks/WEBHOOK_ID/events/EVENT_ID/retry \
-H "Authorization: Bearer YOUR_API_TOKEN"const response = await fetch(
`https://api.bizmori.com/api/v2/orders/webhooks/${webhookId}/events/${eventId}/retry`,
{
method: 'POST',
headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' }
}
);
const data = await response.json();import requests
response = requests.post(
f'https://api.bizmori.com/api/v2/orders/webhooks/{webhook_id}/events/{event_id}/retry',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'}
)
data = response.json()
{
"data": {
"event_id": "<string>",
"success": true,
"status_code": 123,
"status": "FAILED",
"error": "<string>"
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "RESOURCE_NOT_FOUND"
}{
"code": "<string>"
}인증
외부 클라이언트 접근을 위한 API 키
⌘I